using ApiA.Localization;
using Volo.Abp.Authorization.Permissions;
using Volo.Abp.Localization;

namespace ApiA.Permissions
{
    public class ApiAPermissionDefinitionProvider : PermissionDefinitionProvider
    {
        public override void Define(IPermissionDefinitionContext context)
        {
            var myGroup = context.AddGroup(ApiAPermissions.GroupName);

            //Define your own permissions here. Example:
            //myGroup.AddPermission(ApiAPermissions.MyPermission1, L("Permission:MyPermission1"));
        }

        private static LocalizableString L(string name)
        {
            return LocalizableString.Create<ApiAResource>(name);
        }
    }
}
